Page MenuHomePhabricator

[Task] Manage RDF mapping of data values based on central DataType registry
Closed, ResolvedPublic

Description

We need a way to register handlers that can generate RDF for values of a given data type. Steps:

  • Refactor StatementRdfBuilder to introduce a DataValueRdfBuilder interface
  • Implement a dispatching DataValueRdfBuilder (or SnakRdfBuilder) that dispatches based on the data type
  • Add getRdfBuilderFactoryCallbacks() to DataTypeDefinitions
  • Register RDF handlers (mappings) for well known data types in WikibaseRepo.datatypes.php

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Aug 25 2015, 5:27 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel moved this task from incoming to ready to go on the Wikidata board.Aug 26 2015, 12:09 PM
Lydia_Pintscher renamed this task from Manage RDF mapping of data values based on central DataType registry to [Task] Manage RDF mapping of data values based on central DataType registry.Sep 10 2015, 10:54 AM
Lydia_Pintscher removed a project: Patch-For-Review.
Lydia_Pintscher set Security to None.
daniel updated the task description. (Show Details)Sep 10 2015, 11:07 AM
daniel added a comment.Nov 2 2015, 7:05 PM

I already have some old drafts for this on gerrit, i'll polish them up.

daniel claimed this task.Nov 6 2015, 12:33 PM
daniel moved this task from Proposed to Backlog on the Wikidata-Sprint-2015-11-03 board.
daniel moved this task from Backlog to Proposed on the Wikidata-Sprint-2015-11-03 board.
daniel moved this task from Proposed to Doing on the Wikidata-Sprint-2015-11-03 board.
daniel moved this task from Doing to Done on the Wikidata-Sprint-2015-11-03 board.Nov 16 2015, 1:45 PM
daniel moved this task from Done to Proposed on the Wikidata-Sprint-2015-11-03 board.

Change 229979 abandoned by Daniel Kinzler:
[WIP] split RDF mapping for DataValues into individual classes.

Reason:
See I6d9b99d657e

https://gerrit.wikimedia.org/r/229979

adrianheine added a subscriber: adrianheine.

Done now?

daniel closed this task as Resolved.Nov 25 2015, 11:07 AM

yea, done